net.sf.jasperreports.web.servlets

## Class ReportJiveComponentsServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - net.sf.jasperreports.web.servlets.AbstractServlet
      - - net.sf.jasperreports.web.servlets.ReportJiveComponentsServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class ReportJiveComponentsServlet
      extends AbstractServlet

  Version:
    $Id$
  Author:
    Narcis Marcu(nmarcu@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.web.servlets.AbstractServlet

      `HTML_ACCEPT_HEADER, HTML_CONTENT_TYPE, JSON_ACCEPT_HEADER, JSON_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportJiveComponentsServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getBetweenPages(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext)`
    `protected java.lang.String` | `getFooter(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext, boolean hasPages, ReportPageStatus pageStatus)`
    `protected java.lang.String` | `getHeader(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext, boolean hasPages, ReportPageStatus pageStatus)`
    `void` | `getReportComponents(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext, java.io.PrintWriter writer)`
    `void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class net.sf.jasperreports.web.servlets.AbstractServlet

      `getJasperReportsContext, setJasperReportsContext, setNoExpire`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportJiveComponentsServlet

          public ReportJiveComponentsServlet()

  - ### Method Detail

    - #### service

          public void service(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException,
                              javax.servlet.ServletException

      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### getReportComponents

          public void getReportComponents(javax.servlet.http.HttpServletRequest request,
                                 WebReportContext webReportContext,
                                 java.io.PrintWriter writer)
                                   throws JRException

      Throws:
        `JRException`

    - #### getHeader

          protected java.lang.String getHeader(javax.servlet.http.HttpServletRequest request,
                                   WebReportContext webReportContext,
                                   boolean hasPages,
                                   ReportPageStatus pageStatus)

    - #### getBetweenPages

          protected java.lang.String getBetweenPages(javax.servlet.http.HttpServletRequest request,
                                         WebReportContext webReportContext)

    - #### getFooter

          protected java.lang.String getFooter(javax.servlet.http.HttpServletRequest request,
                                   WebReportContext webReportContext,
                                   boolean hasPages,
                                   ReportPageStatus pageStatus)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com